Loading...
Searching...
No Matches
BALL::VIEW::Hotkey Struct Reference

`#include <BALL/VIEW/WIDGETS/pyWidget.h>`

## Public Member Functions

bool | operator== (const Hotkey &hotkey) const
bool | operator== (const QKeyEvent &e) const
const Hotkey & | operator= (const Hotkey &s)
bool | operator< (const Hotkey &key)
| Needed for MSVC.
bool | set (const String &data)
void | get (String &data) const

## Static Public Member Functions

static Hotkey | createHotkey (String modifier, String key, String command, bool &ok, String comment="")

## Public Attributes

String | comment
String | action
Qt::KeyboardModifiers | button_state
Qt::Key | key

## Detailed Description

Definition at line 101 of file pyWidget.h.

## Member Function Documentation

## createHotkey()

Hotkey BALL::VIEW::Hotkey::createHotkey | ( | String | modifier,
|  | String | key,
|  | String | command,
|  | bool & | ok,
|  | String | comment = "" )

static

## get()

void BALL::VIEW::Hotkey::get | ( | String & | data | ) | const

## operator<()

bool BALL::VIEW::Hotkey::operator< | ( | const Hotkey & | key | ) |

inline

Needed for MSVC.

Definition at line 119 of file pyWidget.h.

## operator=()

const Hotkey & BALL::VIEW::Hotkey::operator= | ( | const Hotkey & | s | ) |

## operator==() [1/2]

bool BALL::VIEW::Hotkey::operator== | ( | const Hotkey & | hotkey | ) | const

## operator==() [2/2]

bool BALL::VIEW::Hotkey::operator== | ( | const QKeyEvent & | e | ) | const

## set()

bool BALL::VIEW::Hotkey::set | ( | const String & | data | ) |

## Member Data Documentation

## action

String BALL::VIEW::Hotkey::action

Definition at line 128 of file pyWidget.h.

## button_state

Qt::KeyboardModifiers BALL::VIEW::Hotkey::button_state

Definition at line 129 of file pyWidget.h.

## comment

String BALL::VIEW::Hotkey::comment

Definition at line 127 of file pyWidget.h.

## key

Qt::Key BALL::VIEW::Hotkey::key

Definition at line 130 of file pyWidget.h.